%define __kde4_alternate_placement 1

%def_enable netman
%def_enable google
%def_disable xklavier
%define x11confdir %_sysconfdir/X11

%add_findpackage_path %__kde4_bindir
%add_findreq_skiplist %__kde4_bindir/krdb
%add_findreq_skiplist %__kde4_bindir/startkde
%add_findreq_skiplist %_K4apps/plasma_scriptengine_ruby/*.rb


%define major 4
%define minor 3
%define bugfix 4
%define rname kdebase-workspace
Name: kde4base-workspace
Version: %major.%minor.%bugfix
Release: alt0.M51.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Workspace
License: GPLv2
Url: http://www.kde.org/
Packager: Sergey V Turchin <zerg at altlinux dot org>

Requires: %name-core = %version-%release
Requires: %name-kdm = %version-%release
Requires: %name-cursors = %version-%release
Requires: %name-wallpapers = %version-%release
#Requires: %name-libs = %version-%release


Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar
Source1: pam-kde4
Source2: pam-kde4-np
Source3: pam-kde4-kscreensaver
Source4: oxygen_lib.tar
Source5: kdm-settings.tar

# upstream
# RH
Patch21: kdebase-workspace-4.0.72-ck-shutdown.patch
Patch22: kdebase-workspace-4.1.72-plasma-konsole.patch
# SuSE
Patch51: kdm-audit-log.diff
# MDK
# upstream
# Debuan
Patch800: 23_do_not_depend_on_bindings.diff
# Ubuntu
Patch850: kubuntu_11_fix_root_only_kcms.diff
Patch851: kubuntu_19_always_show_kickoff_subtext.diff
# ALT
Patch1000: kdebase-workspace-4.3.1-alt-startkde.patch
Patch1001: kdebase-workspace-4.1.0-alt-kdm-confdir.patch
Patch1002: kdebase-workspace-4.0.1-alt-kdm-cmd-poweroff.patch
Patch1003: kdebase-workspace-4.3.1-alt-kdm-defaults.patch
Patch1004: kdebase-workspace-4.0.3-alt-kdm-wmsession.patch
Patch1005: kdebase-workspace-4.0.3-alt-kdm-dont-show-nologin-users.patch
Patch1006: kmenuedit-4.1.2-menueditor.patch
Patch1007: kdebase-workspace-4.1.96-alt-def-kxkb.patch
Patch1008: kdebase-workspace-4.2.0-alt-kdm-defaults-language.patch
#
Patch1010: kdebase-workspace-4.2.1-alt-defaults-dpms.patch
Patch1011: kdebase-workspace-4.3.0-alt-def-apps-menu.patch
Patch1012: kdebase-workspace-4.2.2-alt-kdm-greet.patch
Patch1013: kdebase-workspace-4.2.2-alt-no-xklavier.patch
Patch1014: kdebase-workspace-4.2.4-alt-kdm-kcm-defaults.patch
Patch1015: kdebase-workspace-4.3.0-alt-gtkrc-custom.patch
Patch1016: kdebase-workspace-4.3.0-alt-def-plasma.patch
Patch1017: kdebase-workspace-4.3.0-alt-ksysguardrc.patch
Patch1018: kdebase-workspace-4.3.0-alt-def-kwin.patch
Patch1019: kdebase-workspace-4.3.0-alt-def-fonts.patch
Patch1020: kdebase-workspace-4.3.1-alt-kdm-guistyle.patch
Patch1021: kdebase-workspace-4.3.1-alt-kdm-color-scheme.patch
Patch1022: kdebase-workspace-4.3.1-alt-splash.patch
Patch1023: kdebase-workspace-4.3.1-alt-dont-disable-actions.patch
Patch1024: kdebase-workspace-4.3.1-alt-kdm-bglist.patch
Patch1025: kdebase-workspace-4.3.1-alt-screenpreview-update.patch

BuildRequires(pre): kde4libs-devel rpm-build-python
%if_enabled google
BuildRequires(pre): google-gadgets-devel
%endif
%if_enabled netman
BuildRequires: NetworkManager-devel
%endif
BuildRequires: bzlib-devel gcc-c++
BuildRequires: xorg-x11-devel libbluez4-devel libkrb5-devel libpam-devel libaudit-devel
BuildRequires: libqimageblitz-devel libraw1394-devel libsensors3-devel libgps-devel
BuildRequires: libstrigi-devel libusb-compat-devel xml-utils libConsoleKit-devel
BuildRequires: libalternatives-devel libqedje-devel libeet-devel libqzion-devel
BuildRequires: policykit-qt-devel
%if_enabled xklavier
BuildRequires: libxklavier-devel
%endif
BuildRequires: python-module-sip python-devel
#BuildRequires: libdbus-devel
#BuildRequires: glib2-devel
BuildRequires: kde4libs-devel >= %version

%description
The KDE Workspace consists of what is the desktop of the
KDE Desktop Environment.

This package contains:
* kdm (the login manager of KDE)
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* kxkb (a utility to switch keyboard maps)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %version-%release
#Requires: %name = %version-%release
Requires: kde4libs-devel libqimageblitz-devel
%description devel
Development files for %name

%package common
Summary: Common files for %name package
Group: Graphical desktop/KDE
Requires: kde-common >= %major.%minor
#
%description common
Common files for %name package

%package core
Summary: Core files for %name package
Group: Graphical desktop/KDE
Requires: design-graphics >= 12.0.0
Requires: %name-common = %version-%release
%ifdef __kde4_alternate_placement
%else
Provides: kdebase-wm = %version-%release
Obsoletes: kdebase-wm < %version-%release
%endif
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime >= %version
Requires: kde4-icon-theme-oxygen
Requires: dbus-tools-gui
%if_enabled google
Requires: %{get_dep libgoogle-gadgets-qt}
Requires: google-gadgets-qt
%endif
Provides: policykit-kde = %version-%release
Obsoletes: policykit-kde < %version-%release
%description core
Core files for %name package

%package kdm
Summary: KDE Display Manager (KDM)
Group: System/Libraries
PreReq(post,preun): alternatives >= 0.2
Requires: design-graphics >= 11.0.0 ConsoleKit-x11
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Provides: kde4base-kdm = %version-%release
%ifdef __kde4_alternate_placement
Conflicts: kdebase-kdm <= 3.5.9-alt6
%else
Obsoletes: kdebase-kdm < %version-%release
%endif
%description kdm
This is the KDE Display Manager (KDM), a replacement for the
X Display Manager (XDM)

%package cursors
Summary: Default X11 cursors for KDE
Group: System/XFree86
Requires: %name-common = %version-%release
%description cursors
Default X11 cursors for KDE

%package wallpapers
Summary: Default desktop wallpapers for KDE
Group: Graphics
Requires: %name-common = %version-%release
%description wallpapers
Default desktop wallpapers for KDE

%package libs
Summary: Runtime libraries for %name
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: libpolkitkdeprivate4 libsolidcontrolifaces4 libsolidcontrol4 libweather4_ion
Requires: libkdecorations4 libkscreensaver4 libksgrd4 libkwineffects4 libkworkspace4
Requires: libplasmaclock4 libprocessui4 libkhotkeysprivate4 libkfontinst4 libkfontinstui4
Requires: libtaskmanager4 libkwinnvidiahack4 libkephal4 liblsofui4 libnepomukqueryclient4
Requires: libnepomukquery4 libplasma4_applet-system-monitor libplasma4-geolocation-interface
Requires: libprocesscore4 libtime4_solar
%description libs
Runtime libraries for %name

%package -n libpolkitkdeprivate4
Summary: KDE 4 library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libpolkitkdeprivate4
KDE 4 library.

%package -n libsolidcontrolifaces4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libsolidcontrolifaces4
KDE 4 library

%package -n libsolidcontrol4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libsolidcontrol4
KDE 4 library

%package -n libweather4_ion
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libweather4_ion
KDE 4 library

%package -n libkdecorations4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkdecorations4
KDE 4 library

%package -n libkscreensaver4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkscreensaver4
KDE 4 library

%package -n libksgrd4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libksgrd4
KDE 4 library

%package -n libkwineffects4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkwineffects4
KDE 4 library

%package -n libkworkspace4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkworkspace4
KDE 4 library

%package -n libplasmaclock4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libplasmaclock4
KDE 4 library

%package -n libprocesscore4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libprocesscore4
KDE 4 library

%package -n libprocessui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libprocessui4
KDE 4 library

%package -n libkhotkeysprivate4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkhotkeysprivate4
KDE 4 library

%package -n libkfontinst4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkfontinst4
KDE 4 library

%package -n libkfontinstui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkfontinstui4
KDE 4 library

%package -n libtaskmanager4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libtaskmanager4
KDE 4 library

%package -n libkwinnvidiahack4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkwinnvidiahack4
KDE 4 library


%package -n libkephal4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libkephal4
KDE 4 library

%package -n liblsofui4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n liblsofui4
KDE 4 library

%package -n libnepomukqueryclient4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libnepomukqueryclient4
KDE 4 library

%package -n libnepomukquery4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libnepomukquery4
KDE 4 library

%package -n libplasma4_applet-system-monitor
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libplasma4_applet-system-monitor
KDE 4 library

%package -n libplasma4-geolocation-interface
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libplasma4-geolocation-interface
KDE 4 library

%package -n libtime4_solar
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
#Obsoletes: %name-libs < %version-%release
%description -n libtime4_solar
KDE 4 library


%prep
%setup -q -n %rname-%version -a4
cp -ar oxygen_lib kwin/clients/oxygen/lib
cp -ar oxygen_lib kwin/clients/ozone/lib
sed -i 's|Default|Air|g' ksplash/ksplashx/themes/default/CMakeLists.txt
sed -i 's|Default|Air|g' ksplash/ksplashx/themes/default/Theme.rc
%if_disabled google
rm -rf plasma/scriptengines/google_gadgets
%endif
%patch21 -p1
%patch22 -p1
%patch51 -p0
#
%patch800 -p1
%patch850 -p1
%patch851 -p1
#
%patch1000 -p1 -b .startkde
%patch1001 -p1
%patch1002 -p1
%patch1003 -p1 -b .kdmdefs
%patch1004 -p1
%patch1005 -p1
%patch1006 -p1
%patch1007 -p1
%patch1008 -p1
#
%patch1010 -p1
%patch1011 -p1
%patch1012 -p1
%patch1013 -p1
%patch1014 -p1
%patch1015 -p1
%patch1016 -p1
%patch1017 -p1
%patch1018 -p1
%patch1019 -p1
%patch1020 -p1
%patch1021 -p1
%patch1022 -p1
%patch1023 -p1
%patch1024 -p1
%patch1025 -p1


%build
%K4cmake \
%if_disabled netman
    -DWITH_NetworkManager=off \
%endif
    -DKDE4_COMMON_PAM_SERVICE=kde4 \
    -DKDE4_KDM_PAM_SERVICE=kde4 \
    -DKDE4_KCHECKPASS_PAM_SERVICE=kde4 \
    -DKDM_CONFIG_INSTALL_DIR=%x11confdir/kdm4 \
    -DKDE4_KSCREENSAVER_PAM_SERVICE=kde4-kscreensaver \
%if_enabled xklavier
    -DUSE_XKLAVIER:BOOL=ON \
%else
    -DUSE_XKLAVIER:BOOL=OFF \
%endif
    -DKDE_DEFAULT_HOME:STRING=".kde4"
%K4make

%install
export GENKDMCONF_FLAGS="--no-old"
%K4install
mkdir -p %buildroot/%_bindir/

# Install kde pam configuration files
install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kde4
install -m 0644 %SOURCE2 %buildroot/%_sysconfdir/pam.d/kde4-np
install -m 0644 %SOURCE3 %buildroot/%_sysconfdir/pam.d/kde4-kscreensaver

# Add chksession support
mkdir -p %buildroot/%x11confdir/wmsession.d/
cat <<__EOF__ > %buildroot/%x11confdir/wmsession.d/01KDE4
NAME=KDE
DESC=The K Desktop Environment
ICON=%_K4iconsdir/oxygen/64x64/apps/kde.png
%ifdef __kde4_alternate_placement
EXEC=%__kde4_bindir/startkde
SCRIPT:
exec %__kde4_bindir/startkde
%else
EXEC=%_K4bindir/startkde
SCRIPT:
exec %_K4bindir/startkde
%endif
__EOF__

# Create menu session
mkdir -p %buildroot/%_menudir/
cat <<__EOF__ > %buildroot/%_menudir/kde4-session
?package(%name): needs=wm \
                        section="Session/Windowmanagers" \
			title="KDE" \
			longtitle="K Desktop Environment" \
%ifdef __kde4_alternate_placement
			command="%__kde4_bindir/startkde" \
%else
			command="%_bindir/startkde" \
%endif
			icon="kde.png"
__EOF__

# install kdm settings
mkdir -p %buildroot/%x11confdir/kdm4
pushd %buildroot/%x11confdir/kdm4
tar xvf %SOURCE5 --strip-components 1
popd
install -m 0644 %buildroot/%_K4conf/kdm/kdmrc %buildroot/%x11confdir/kdm4/
mkdir -p %buildroot/%_localstatedir/kdm4/faces

mkdir -p %buildroot/%_sysconfdir/alternatives/packages.d/
# install kdm alternatives
%ifdef __kde4_alternate_placement
mv %buildroot/%__kde4_bindir/kdm %buildroot/%_K4exec/kdm
mv %buildroot/%__kde4_bindir/kdmctl %buildroot/%_K4exec/kdmctl
%else
mv %buildroot/%_K4bindir/kdm %buildroot/%_K4exec/kdm
mv %buildroot/%_K4bindir/kdmctl %buildroot/%_K4exec/kdmctl
%endif
cat > %buildroot/%_sysconfdir/alternatives/packages.d/kde4-kdm <<__EOF__
%_bindir/kdm	%_K4exec/kdm	20
%_bindir/kdm_config	%_K4exec/kdm_config	%_K4exec/kdm
%_bindir/kdmctl	%_K4exec/kdmctl	%_K4exec/kdm
__EOF__

mkdir -p %buildroot/%_K4xdg_apps/
install -m 0644 %buildroot/%_K4srv/kdm.desktop %buildroot/%_K4xdg_apps/kdm.desktop
sed -i 's|^Type=.*$|Type=Application|' %buildroot/%_K4xdg_apps/kdm.desktop
sed -i 's|^Categories=.*$|Categories=Qt;KDE;System;|' %buildroot/%_K4xdg_apps/kdm.desktop
sed -i 's|^X-KDE-System-Settings-Parent-Category.*||' %buildroot/%_K4xdg_apps/kdm.desktop

# move cursors
for d in `ls -1d %buildroot/%__kde4_iconsdir/Oxygen_*` ; do
    mv $d %buildroot/%_K4iconsdir/
done

# default user face
mkdir -p %buildroot/%_sysconfdir/firsttime.d/
cat >%buildroot/%_sysconfdir/firsttime.d/kdm4 <<__EOF__
#!/bin/sh
WITHOUT_RC_COMPAT=1
# Source functions library.
. /etc/init.d/functions
if [ ! -e %_localstatedir/kdm4/faces/.default.face.icon -a -d %_localstatedir/kdm4/faces -a -f %_datadir/design/current/faces/default.png ]
then
    action "Setup kdm default user icon:" cp -af %_datadir/design/current/faces/default.png %_localstatedir/kdm4/faces/.default.face.icon
fi
__EOF__
chmod 0755 %buildroot/%_sysconfdir/firsttime.d/kdm4


%post kdm
[ -n "$DURING_INSTALL" ] || %_sysconfdir/firsttime.d/kdm4


%files
%files common
%config(noreplace) %_sysconfdir/pam.d/kde4
%config(noreplace) %_sysconfdir/pam.d/kde4-np

%files kdm
%dir %x11confdir/kdm4
%config(noreplace) %x11confdir/kdm4/*
%config %_sysconfdir/alternatives/packages.d/kde4-kdm
%_sysconfdir/firsttime.d/kdm4
%__kde4_bindir/genkdmconf
%_K4exec/kdm
%_K4exec/kdm_config
%_K4exec/kdmctl
%_K4exec/krootimage
%_K4exec/kdm_greet
%_K4lib/kgreet_*.so*
%_K4apps/kdm/
%exclude %_K4apps/kdm/sessions/*
%__kde4_doc/en/kdm
%_localstatedir/kdm4

%files core
%config(noreplace) %_sysconfdir/pam.d/kde4-kscreensaver
%config(noreplace) %x11confdir/wmsession.d/*KDE*
%_menudir/kde4-session
%doc README
%config(noreplace) %_sysconfdir/ksysguarddrc4
#%config(noreplace) %_sysconfdir/systemsettingsrc
%ifdef __kde4_alternate_placement
%__kde4_bindir/*
%exclude %__kde4_bindir/genkdmconf
%else
%_K4bindir/*
%exclude %_K4bindir/genkdmconf
%endif
%attr(2711,root,chkpwd) %_K4exec/kcheckpass
%_K4exec/kcmdatetimehelper
%_K4exec/kfontprint
%_K4exec/kio_fonts_helper
%_K4exec/kscreenlocker
%_K4exec/polkit-kde-manager
%_K4exec/test_kcm_xinerama
%_K4libdir/libkickoff.so
%_K4libdir/libsystemsettingsview.so
%_K4libdir/libkdeinit4_*.so
%_K4libdir/strigi/*
%_K4conf_bin/*
%_K4lib/*.so*
%exclude %_K4lib/kgreet_*.so*
%_K4apps/*
%exclude %_K4apps/kdm
%exclude %_K4apps/cmake/
%_K4conf/*
%exclude %_K4conf/kdm*
%_K4srv/*
%_K4srvtyp/*
%_K4snd/*
%_K4start/*
%__kde4_xdg_apps/*
%_K4xdg_apps/*
%_K4cfg/*
%ifdef __kde4_alternate_placement
%__kde4_doc/en/*
%exclude %__kde4_doc/en/kdm
%else
%_K4doc/en/*
%exclude %_K4doc/en/kdm
%endif
%exclude %_K4plug/designer/*
#%_K4datadir/xsessions/*
%_K4dbus_services/*
%python_sitelibdir/*
%_K4iconsdir/oxygen/*/*/*
%ifdef __kde4_alternate_placement
%__kde4_iconsdir/hicolor/*/*/*
%else
%_K4iconsdir/hicolor/*/*/*
%endif

%files cursors
%_K4iconsdir/Oxygen_*

%files wallpapers
%_K4wall/*
%ifdef __kde4_alternate_placement
%exclude %_K4wall/default_blue*
%endif

%files libs
%files -n libpolkitkdeprivate4
%_K4libdir/libpolkitkdeprivate.so.*
%files -n libsolidcontrolifaces4
%_K4libdir/libsolidcontrolifaces.so.*
%files -n libsolidcontrol4
%_K4libdir/libsolidcontrol.so.*
%files -n libweather4_ion
%_K4libdir/libweather_ion.so.*
%files -n libkdecorations4
%_K4libdir/libkdecorations.so.*
%files -n libkscreensaver4
%_K4libdir/libkscreensaver.so.*
%files -n libksgrd4
%_K4libdir/libksgrd.so.*
%files -n libkwineffects4
%_K4libdir/libkwineffects.so.*
%files -n libkworkspace4
%_K4libdir/libkworkspace.so.*
%files -n libplasmaclock4
%_K4libdir/libplasmaclock.so.*
%files -n libprocessui4
%_K4libdir/libprocessui.so.*
%files -n libkhotkeysprivate4
%_K4libdir/libkhotkeysprivate.so.*
%files -n libkfontinst4
%_K4libdir/libkfontinst.so.*
%files -n libkfontinstui4
%_K4libdir/libkfontinstui.so.*
%files -n libtaskmanager4
%_K4libdir/libtaskmanager.so.*
%files -n libkwinnvidiahack4
%_K4libdir/libkwinnvidiahack.so.*
%files -n libkephal4
%_K4libdir/libkephal.so.*
%files -n liblsofui4
%_K4libdir/liblsofui.so.*
%files -n libnepomukqueryclient4
%_K4libdir/libnepomukqueryclient.so.*
%files -n libnepomukquery4
%_K4libdir/libnepomukquery.so.*
%files -n libplasma4_applet-system-monitor
%_K4libdir/libplasma_applet-system-monitor.so.*
%files -n libplasma4-geolocation-interface
%_K4libdir/libplasma-geolocation-interface.so.*
%files -n libprocesscore4
%_K4libdir/libprocesscore.so.*
%files -n libtime4_solar
%_K4libdir/libtime_solar.so.*


%files devel
%_K4includedir/*
%_K4apps/cmake/
%_K4libdir/cmake/KDE4Workspace-*/
%_K4link/lib*.so
%exclude %_K4libdir/libkdeinit4_*.so
%_K4plug/designer/*
%_K4dbus_interfaces/*

%changelog
* Tue Dec 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt0.M51.1
- built for M51

* Mon Dec 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.4-alt1
- new version

* Wed Dec 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 4.3.3-alt2.1
- Rebuilt with python 2.6

* Fri Nov 13 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1.M51.1
- built for M51

* Thu Nov 12 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt2
- split wallpapers and cursors to separate packages (ALT#21123)
- fix initial setup of kdm user icon

* Mon Nov 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt0.M51.1
- built for M51

* Mon Nov 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.3-alt1
- new version

* Thu Oct 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt4
- fix requires to design-graphics

* Wed Oct 14 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt3
- rebuilt with libsensors3
- rename wmsession to KDE

* Tue Oct 13 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt2
- add patch to fix start root-only systemsettings modules

* Thu Oct 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.2-alt1
- new version

* Tue Sep 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt8
- fix to update screen preview (ALT#21550)

* Mon Sep 21 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt7
- fix to apply patch for previous build

* Fri Sep 18 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt6
- fix complex wallpapers selectable from kdm config dialog (ALT#21550)

* Tue Sep 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt5
- don't disable default actions (ALT#21253)
- don't duplicate systemsettings login manager (ALT#19437)

* Fri Sep 11 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt4
- using default startup splash theme from branding

* Thu Sep 03 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt3
- fix default kdm color scheme

* Wed Sep 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt2
- fix kdm default gui style

* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.1-alt1
- new version

* Thu Aug 20 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt7
- disable desktop effects by default

* Mon Aug 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt6
- set default fonts
- always show kikcof menu subtext
- don't use fat panel on small desktops by default

* Fri Aug 14 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt5
- allow read default apps for kickoff favorites and quicklauncher
  applet from separate file

* Tue Aug 11 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt4
- package /etc/ksysguarddrc4

* Mon Aug 10 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt3
- set desktop defaults

* Fri Aug 07 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt2
- export customized GTK2_RC_FILES to set default gtk theme

* Tue Aug 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.3.0-alt1
- 4.3.0

* Wed Jul 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.98-alt1
- 4.2.98

* Wed Jul 15 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.96-alt1
- 4.2.96

* Mon Jul 13 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt6.M50.1
- built for M50

* Fri Jul 10 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt7
- fix kdm menu entry

* Fri Jul 10 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt5.M50.1
- built for M50

* Thu Jul 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt6
- add /usr/lib/kde4/bin to PATH
- allow users to setup login icons by default

* Mon Jul 06 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt5
- kdm settings user faces selection (ALT#20677)
- fix kdm menu entry Categories (ALT#19437)

* Tue Jun 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt4
- rebuilt

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2.M50.1
- built for M50

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt3
- rebuilt with new google-gadgets

* Tue Jun 09 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2
- add menu entry for kdm setup

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Mon May 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version
- built without libxklavier

* Thu Apr 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt3
- fix to build with libaudit
- fix to start kdm_greet instead of something_greet
- fix build requires

* Fri Apr 17 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt2
- allow force shutdown to all by default
- add some upstream fixes

* Thu Apr 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Fri Mar 27 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt5
- add pam_loginuid support (fixes #19360)

* Wed Mar 25 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt4
- built with new Qt

* Mon Mar 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt3
- add upstream fix for quicklaunch applet
- apply default X11 DMPS values to configuration dialog

* Mon Mar 16 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt2
- built kdm with audit support
- add logo icon to kwin window title by default

* Mon Mar 02 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Wed Feb 25 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt3
- use /etc/sysconfig/i18n for default kdm language

* Thu Feb 05 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt2
- built with new bluez
- built python plasma engine

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version
- create ~/Desktop at start
- don't insert qt binaries path into PATH variable

* Wed Jan 14 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- removed deprecated macroses from specfile
- show keyboard indicator by default

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Oct 09 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Tue Sep 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Thu Jul 31 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Wed May 28 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Fri Apr 18 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt3
- add alternatives support for kdm_config and kdmctl
- add symlinks to run kdm greeter on :1 :2 :3 displays

* Wed Apr 09 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt2
- update kdm config
- add alternatives support to kdm
- add wmsession support to kdm
- don't show nologin users in kdm

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Thu Mar 20 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt3
- rebuilt with new libxklavier

* Tue Mar 11 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt2
- rebuilt with Qt4 buildkey change

* Fri Mar 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- new version

* Mon Feb 18 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- built for ALT

